ITPub博客

首页 > 数据库 > Oracle > Linux6安装11.2.0.4提示缺少elfutils-libelf-devel-0.97及pdksh-5.2.14

Linux6安装11.2.0.4提示缺少elfutils-libelf-devel-0.97及pdksh-5.2.14

原创 Oracle 作者:tolywang 时间:2015-12-11 17:02:10 0 删除 编辑
Installing 11.2.0.3 Or 11.2.0.4 (32-bit (x86) or 64-bit (x86-64) ) On RHEL6 Reports That Packages "elfutils-libelf-devel-0.97" And "pdksh-5.2.14" Are Missing (PRVF-7532) (文档 ID 1454982.1)

处理方式是忽略即可。 具体原因可以看看下面的说明。  

CAUSE
OUI executes the following command: 
/bin/rpm -q --qf %{version} redhat-release
and no output is returned (because in RHEL6 the package redhat-release has been replaced by redhat-release-server-6Server).

This causes OUI to believe that the server is not a RHEL server.

As OUI can not identify what type of server it is, OUI performs the default (OEL4) prerequisite checks.

This problem has been logged as unpublished bug 13981169 with Oracle Development.

In addition to this, no RHEL6 prerequisite checks are defined in /database/stage/cvu/cvu_prereq.xml in the 11.2.0.3 media.


SOLUTION
If you have received the 11.2.0.3 or 11.2.0.4 media on DVD, 
it will be necessary to copy the media from the DVD to a disk on the RHEL6 server.
If you have downloaded the 11.2.0.3 or 11.2.0.4 media from My Oracle Support (MOS) then you extract first the software.

Once the software is copied/extracted under  /database, do the following:

1. Change directory to /database/stage/cvu/cv/admin
2. Backup cvu_config
% cp cvu_config backup_cvu_config
3. Edit cvu_config and change the following line:
CV_ASSUME_DISTID=OEL4
to:
CV_ASSUME_DISTID=OEL6
4. Save the updated cvu_config file
5. Install the 11.2.0.3 or 11.2.0.4 software using /database/runInstaller

% cd /database
% ./runInstaller
OUI should now perform the OEL6 prerequisite checks (which are identical to the RHEL6 prerequisite checks) and 
no longer report that packages "elfutils-libelf-devel-0.97" and "pdksh-5.2.14" are missing.


ATTENTION :
About the 32 bit version of soft (x86), in case the problem remains then :
- restore the original cvu_config file 
- after manually verifying that all of the requirements have been met, 
choose the 'Ignore all' option in the installer and continue with the installation.

来自 “ ITPUB博客 ” ,链接:http://blog.itpub.net/35489/viewspace-1870578/,如需转载,请注明出处,否则将追究法律责任。

请登录后发表评论 登录
全部评论
Oracle , MySQL, SAP IQ, SAP HANA, PostgreSQL, Tableau 技术讨论,希望在这里一起分享知识,讨论技术,畅谈人生 。

注册时间:2007-12-10

  • 博文量
    5595
  • 访问量
    13381220